From 38befd4e867583002b96ec39df733585d74c4ff5 Mon Sep 17 00:00:00 2001
From: Roy Marples <roy@marples.name>
Date: Fri, 26 Aug 2022 09:24:50 +0100
Subject: [PATCH] privsep: Allow newfstatat syscall as well

Allows newer glibc variants to work apparently.
As reported in #84 and #89.
---
 src/privsep-linux.c | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/src/privsep-linux.c b/src/privsep-linux.c
index 4d5c195d..66aeb490 100644
--- a/src/privsep-linux.c
+++ b/src/privsep-linux.c
@@ -353,6 +353,9 @@ static struct sock_filter ps_seccomp_filter[] = {
 #ifdef __NR_nanosleep
 	SECCOMP_ALLOW(__NR_nanosleep),	/* XXX should use ppoll instead */
 #endif
+#ifdef __NR_newfstatat
+	SECCOMP_ALLOW(__NR_newfstatat),
+#endif
 #ifdef __NR_ppoll
 	SECCOMP_ALLOW(__NR_ppoll),
 #endif
